import BasicWindow from "../../Components/BasicWindow";
import Button from "../../Components/Button";
import BackButton from "../../Components/BackButton";
import { Link, useParams } from "react-router-dom";
import ProjectMembers from "../../Components/ProjectMembers";

function PMProjectMembers(): JSX.Element {
  const { projectName } = useParams();
  const content = (
    <>
      <h1 className="font-bold text-[30px] mb-[20px]">
        All Members In: {projectName}{" "}
      </h1>
      <ProjectMembers />
    </>
  );

  const buttons = (
    <>
      <Link to={`/PMtimeactivity/${projectName}`}>
        <Button
          text="Time / Activity"
          onClick={(): void => {
            return;
          }}
          type={"button"}
        />
      </Link>
      <Link to={`/PMtimerole/${projectName}`}>
        <Button
          text="Time / Role"
          onClick={(): void => {
            return;
          }}
          type={"button"}
        />
      </Link>
      <BackButton />
    </>
  );

  return <BasicWindow content={content} buttons={buttons} />;
}
export default PMProjectMembers;
